package com.gh.gamecenter.message.provider

import android.content.Context
import android.view.View
import android.widget.LinearLayout
import android.widget.TextView
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.utils.ToastUtils
import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.gamecenter.feature.provider.IBindingAdaptersProvider

@com.therouter.inject.ServiceProvider
class BindingAdaptersProviderImpl : IBindingAdaptersProvider {
    override fun setGameName(
        view: TextView,
        game: GameEntity,
        isShowPlatform: Boolean,
        isShowSuffix: Boolean
    ) {
        ToastUtils.toast("调用->BindingAdaptersProviderImpl.setGameName")
    }

    override fun setGameTags(layout: LinearLayout, gameEntity: GameEntity) {
        ToastUtils.toast("调用->BindingAdaptersProviderImpl.setGameTags")
    }

    override fun setMessageUnread(view: TextView, unreadCount: Int) {
        ToastUtils.toast("调用->BindingAdaptersProviderImpl.setMessageUnread")
    }

    override fun setGame(view: View, gameEntity: GameEntity) {
        ToastUtils.toast("调用->BindingAdaptersProviderImpl.setGame")
    }
}